<h2>Users management</h2>
<button (click)="openRegisterUserPage()" class="btn btn-outline-secondary">Create User</button>
<button (click)="openEditUserPage()" class="btn btn-outline-secondary">Edit User</button>
<button (click)="delete()" class="btn btn-outline-secondary">Delete</button>
<table class="table table-hover">
  <tr class="table-secondary" style="text-align: center">
    <th></th>
    <th>ID</th>
    <th>First name</th>
    <th>Last name</th>
    <th>Username</th>
    <th>Role</th>
  </tr>
  <tr style="text-align: center" *ngFor="let user of users">
    <td><input type="radio" name="user" (click)="onToggle(user.id)"></td>
    <td>{{user.id}}</td>
    <td>{{user.firstName}}</td>
    <td>{{user.lastName}}</td>
    <td>{{user.username}}</td>
    <td>{{user.role.name}}</td>
  </tr>
</table>
<br/>
